Subject: bug#10959: 23.3; emacs -nw doesn't always restore the terminal screen

From: Vincent Lefevre <[email-masked]>
Date: Thu, 22 Mar 2012 12:25:16 +0100

On 2012-03-06 16:01:04 +0100, Vincent Lefevre wrote:
> When run in a terminal (at least in xterm, aterm and gnome-terminal),
> emacs doesn't always restore the terminal screen (it remains in the
> alternate screen). This can be reproduced, but not always, with:
> 
>   for i in `seq 1 200`
>   do
>     emacs -Q -nw --eval '(save-buffers-kill-terminal)'
>   done
> 
> One sees that the screen isn't restored as expected. You can increase
> the number of iterations to have a better chance to reproduce the bug.

This bug might be a consequence of

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=646798

but I don't know how to test...

-- 
Vincent Lefèvre <[email-masked]> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)